import { defineStore } from 'pinia';
import { fetchGetI18n } from '@/api/api-mock/i18n.ts';

export const userI18nStore = defineStore('i18nStore', {
	persist: true,
	state() {
		return {
			// ? 多语言内容
			i18n: {} as any,
		};
	},
	getters: {},
	actions: {
		async fetchI18n() {
			this.i18n = (await fetchGetI18n()).data;
		},
	},
});
